Bug 33077 - Focus problem with open template
Focus problem with open template
Status: VERIFIED WONTFIX
Product: platform
Classification: Unclassified
Component: Window System
3.x
PC Linux
: P4 (vote)
: 3.x
Assigned To: jrojcek
issues@platform
: FOCUS
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-20 01:32 UTC by johnzoet
Modified: 2008-12-23 09:30 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description johnzoet 2003-04-20 01:32:54 UTC
Go to Options > Templates
Choose a template, right-click > open.
What happens is that the template is opened in the
editor,
but the focus does not shift to the editor.
So, from a user perspective it looks as if nothing
happens.
I feel the focus should be on the editor when you
click on open template.
Comment 1 Miloslav Metelka 2003-04-23 09:37:19 UTC
On which JDK does this happen?
Comment 2 Miloslav Metelka 2003-04-28 09:19:18 UTC
John, could you please tell us which JDK version are you using?

Anyway moving to core/window system for evaluation.
Comment 3 johnzoet 2003-04-28 10:09:28 UTC
Same focus on jdk1.4_01 and jdk1.4_02
Comment 4 mslama 2003-05-06 10:56:35 UTC
I suppose you mean Tools -> Options window. In MDI it is more
useability problem: Options window is separate window. When you select
Open action what should happen? 
1.If focus stays in Options window it looks like nothing happens.
2.If focus would be transferred to main window (Source Editor) Options
window will be hidden behind main window.
Both cases are not ideal I think. I reassign to UI to define correct
behaviour.
Comment 5 johnzoet 2003-05-07 00:01:44 UTC
Template maintenance should be a menu option in the main window,
because in that case there is no focus problem.
The present place under options is not suited for functions that
require editing of files as in all scenarios there is a focus problem.

Comment 6 Marian Mirilovic 2003-11-26 12:56:40 UTC
Because Window System v1 will not be supported from now by our team, all old
winsys issues (now "core/window system v1" issues) are going to be closed as
WONTFIX. 

Changes in API which emerged both from UI spec 
and problems with adjusting to the older API are described in the document
http://core.netbeans.org/windowsystem/changes.html.
 It shows also recommends how the client code should be adjusted to the new
window system.

If you think this issue apply also to the new winsys then change the
subcomponent (to "core/window system") and REOPEN it.
Comment 7 Marian Mirilovic 2004-02-27 14:13:07 UTC
issue doesn't apply to new window system - verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo